Bug 761045 - FTBFS qpid-cpp-0.12-5 on Rawhide: no boost/pool/detail/singleton.hpp file
FTBFS qpid-cpp-0.12-5 on Rawhide: no boost/pool/detail/singleton.hpp file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qpid-cpp (Show other bugs)
rawhide
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 10:54 EST by Denis Arnaud
Modified: 2013-09-12 18:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-07 20:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Compilation fix (855 bytes, patch)
2011-12-07 15:12 EST, Petr Machata
no flags Details | Diff

  None (edit)
Description Denis Arnaud 2011-12-07 10:54:12 EST
Description of problem:
qpid-cpp fails to build (FTBFS) on Fedora Rawhide.

Version-Release number of selected component (if applicable):
qpid-cpp-0.12-5 on Fedora Rawhide

Additional info:
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3572018
In particular, the build logs are here: http://koji.fedoraproject.org/koji/getfile?taskID=3572018&name=build.log

The compilation error is:
qpid/log/Logger.cpp:26:43: fatal error: boost/pool/detail/singleton.hpp: No such file or directory

----------------------
/bin/sh ../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../include -I../include -I. -I=.   -Werror -Wall -Wextra -Wno-shadow -Wpointer-arith -Wcast-qual -Wcast-align -Wno-long-long -Wvolatile-register-var -Winvalid-pch -Wno-system-headers -Woverloaded-virtual -DQPID_LIBEXEC_DIR=\"/usr/libexec/qpid\" -DBOOST_FILESYSTEM_VERSION=2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -DNDEBUG -O3 -Wno-unused-result -c -o qpid/log/Logger.lo qpid/log/Logger.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../include -I../include -I. -I=. -Werror -Wall -Wextra -Wno-shadow -Wpointer-arith -Wcast-qual -Wcast-align -Wno-long-long -Wvolatile-register-var -Winvalid-pch -Wno-system-headers -Woverloaded-virtual -DQPID_LIBEXEC_DIR=\"/usr/libexec/qpid\" -DBOOST_FILESYSTEM_VERSION=2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -DNDEBUG -O3 -Wno-unused-result -c qpid/log/Logger.cpp  -fPIC -DPIC -o qpid/log/.libs/Logger.o
qpid/log/Logger.cpp:26:43: fatal error: boost/pool/detail/singleton.hpp: No such file or directory
make[3]: *** [qpid/log/Logger.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/builddir/build/BUILD/qpid-0.12/cpp/src'
----------------------
Comment 1 Petr Machata 2011-12-07 13:53:30 EST
I don't think this ever was part of boost API (it's in "detail" subdirectory, where libraries typically put their private parts).  I don't see any dedicated library like that, but one singleton that seems public is in boost::serialization:

> http://www.boost.org/doc/libs/1_48_0/libs/serialization/doc/singleton.html
Comment 2 Petr Machata 2011-12-07 15:12:50 EST
Created attachment 542165 [details]
Compilation fix

Use the singleton in serialization library.
Comment 3 Denis Arnaud 2011-12-07 20:31:24 EST
(In reply to comment #2)
> Created attachment 542165 [details]
> Compilation fix

Thanks Petr! You are faster in fixing broken packages than me to open FTBFS bugs :)

qpid-cpp now cleanly builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3573401
Comment 4 Denis Arnaud 2011-12-08 07:30:46 EST
Upstream ticket is https://issues.apache.org/jira/browse/QPID-3638

Note You need to log in before you can comment on or make changes to this bug.